apiVersion: v1
kind: Pod
metadata:
  name: limited-resources
  labels:
    app: limited-resources
spec:
  containers:
  - name: ubuntu
    image: project42/s6-ubuntu:20.04
    volumeMounts:
    - mountPath: /mnt/scratch
      name: scratch
    resources:
      requests:
        memory: "64Mi"
        cpu: "50m"
      limits:
        memory: "128Mi"
        cpu: "50m"
  - name: centos
    image: project42/s6-centos:7
    volumeMounts:
    - mountPath: /mnt/scratch
      name: scratch
    resources:
      requests:
        memory: "64Mi"
        cpu: "50m"
      limits:
        memory: "128Mi"
        cpu: "100m"
  volumes:
  - name: scratch
    emptyDir: {}
